﻿using UnityEngine;
using System.Collections;
using System;

public class objsound : MonoBehaviour {
	rtcmixmain RTcmix;
	int objno = 0; // change this for multiple RTcmix instantiations
	public TextAsset score1;
	string objscore;

	// Use this for initialization
	void Start () {
		objscore = score1.text;
		
		RTcmix = GameObject.Find ("RTcmixmain").GetComponent<rtcmixmain> ();
		RTcmix.initRTcmix (objno);

		RTcmix.SendScore ("MAXBANG(0.1)", objno);
	}
	
	// Update is called once per frame
	void Update () {
		// distance
		GameObject observer = GameObject.Find ("observer");
		Transform observertransform = observer.transform;
		float distance = Vector3.Distance (observertransform.position, transform.position);
		float freqmult = (1.0f - distance / 20.0f) * 5000.0f;
		if (freqmult < 500.0f)
			freqmult = 500.0f;

		RTcmix.setpfieldRTcmix (1, freqmult, objno);
	}

	// this function is called by unity for every buffer of sound samples computed
	void OnAudioFilterRead(float[] data, int channels) {
		RTcmix.runRTcmix (data, objno, 0);

		if (RTcmix.checkbangRTcmix (objno) == 1) {
			RTcmix.SendScore (objscore, objno);
		}
	}

	void OnApplicationQuit() {
		RTcmix.destroy (objno);
	}

}
